; notifycd.nsi
;

SetCompressor bzip2

;--------------------------------

!define VERSION "1.60b16"

; The name of the installer
Name "NotifyCD Player ${VERSION}"
Icon "res\main.ico"

; The file to write
OutFile "notifycd_install_${VERSION}.exe"

SetDatablockOptimize on
CRCCheck on

LicenseText "GNU GENERAL PUBLIC LICENSE"
LicenseData "gpl.txt"


; The default installation directory
InstallDir $PROGRAMFILES\NotifyCD

; The text to prompt the user to enter a directory
DirText "Please select a directory to install NotifyCD Player to."

;--------------------------------

; The stuff to install
Section "" ;No components page, name is not important

  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\NotifyCD" "DisplayName" "NotifyCD Player ${VERSION} (remove only)"
  WriteRegStr HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\NotifyCD" "UninstallString" '"$INSTDIR\ntfycd-uninst.exe"'

  ; Set output path to the installation directory.
  SetOutPath $INSTDIR

  ; Put file there
  File bin\ntfy_cd.exe
  File changes.txt
  File gpl.txt
  File readme.txt
  File ntfy_cd.txt

  CreateDirectory "$SMPROGRAMS\NotifyCD Player"
  CreateShortCut "$SMPROGRAMS\NotifyCD Player\NotifyCD Player.lnk" "$INSTDIR\ntfy_cd.exe"
  CreateShortCut "$SMPROGRAMS\NotifyCD Player\ReadMe.lnk" "$INSTDIR\readme.txt"
  CreateShortCut "$SMPROGRAMS\NotifyCD Player\History.lnk" "$INSTDIR\changes.txt"
  CreateShortCut "$SMPROGRAMS\NotifyCD Player\Uninstall NotifyCD Player.lnk" "$INSTDIR\ntfycd-uninst.exe"

  WriteRegStr HKCR AudioCD\shell\play "(Default)" "&Play"
  WriteRegStr HKCR AudioCD\shell\play\command "(Default)" "$INSTDIR\ntfy_cd.exe /play %1"
  WriteRegStr HKCR cdafile\shell\play "(Default)" "&Play"
  WriteRegStr HKCR cdafile\shell\play\command "(Default)" "$INSTDIR\ntfy_cd.exe -play %1"

  Exec "$INSTDIR\ntfy_cd.exe -SETUP"

  WriteUninstaller "ntfycd-uninst.exe"

SectionEnd ; end the section

UninstallText "This will uninstall NotifyCD Player. Hit next to continue."
UninstallIcon "res\main.ico"

Section "Uninstall"

  Delete "$INSTDIR\ntfy_cd.exe"
  Delete "$INSTDIR\changes.txt"
  Delete "$INSTDIR\gpl.txt"
  Delete "$INSTDIR\readme.txt"
  Delete "$INSTDIR\ntfy_cd.txt"
  Delete "$INSTDIR\ntfycd-uninst.exe"
  RMDir "$INSTDIR"
  Delete "$SMPROGRAMS\NotifyCD Player\*.*"
  RMDir "$SMPROGRAMS\NotifyCD Player"

  DeleteRegKey HKLM "Software\Microsoft\Windows\CurrentVersion\Uninstall\NotifyCD"

SectionEnd

